%define uver    %(echo %{version}|sed 's/\\./-/g')

%define api     5.3
%define major   0
%define libname %mklibname pgm %{api} %{major}
%define devname %mklibname pgm -d

Name:          openpgm
Version:       5.3.128
Release:       %mkrel 2
Summary:       An implementation of the PGM reliable multicast protocol
Group:         System/Libraries
# The license is LGPLv2.1
License:       LGPLv2
URL:           https://github.com/steve-o/openpgm
Source0:       https://github.com/steve-o/%{name}/archive/release-%{uver}.zip
Patch1:        openpgm-autoconf.patch
BuildRequires: perl

%description
OpenPGM is an open source implementation of the Pragmatic General
Multicast (PGM) specification in RFC 3208.

%package -n %{libname}
Summary:       Library files for %{name}
Group:         System/Libraries
Obsoletes:     %{_lib}%{name}0 < %{version}-%{release}

%description -n %{libname}
This package contains OpenPGM libraries.

%package -n %{devname}
Summary:       Development files for %{name}
Group:         System/Libraries
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}%{api}-devel = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}
Obsoletes:     %{_lib}%{name}-devel < %{version}-%{release}

%description -n %{devname}
This package contains OpenPGM related development libraries and header files.

%prep
%setup -q -n %{name}-release-%{uver}/%{name}/pgm
%autopatch -p1

%build
# Fix .pc.in version (already fixed in upstream git)
mv %{name}-5.2.pc.in %{name}-5.3.pc.in
./bootstrap.sh
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc COPYING LICENSE
%{_libdir}/libpgm-%{api}.so.%{major}{.,*}

%files -n %{devname}
%doc examples/
%{_includedir}/*
%{_libdir}/libpgm.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Sat Oct 31 2020 wally <wally> 5.3.128-2.mga8
+ Revision: 1640825
- fix build with autoconf > 2.69

* Fri Sep 11 2020 barjac <barjac> 5.3.128-1.mga8
+ Revision: 1624640
- new version 5.3.128
- changed Source0
- removed python3 dependency (I see nothing py related)
- use bootstrap.sh
- clean spec a little

* Tue Feb 25 2020 daviddavid <daviddavid> 5.2.122-5.mga8
+ Revision: 1550344
- port version_generator.py to python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 5.2.122-4.mga7
+ Revision: 1300028
- Mageia 7 Mass Rebuild

* Sun Feb 19 2017 wally <wally> 5.2.122-3.mga6
+ Revision: 1086943
- fix lib and devel pkg names

* Fri Feb 12 2016 umeabot <umeabot> 5.2.122-2.mga6
+ Revision: 956548
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 barjac <barjac> 5.2.122-1.mga6
+ Revision: 864279
- clean spec
- use mklib and adapt to Mageia policies
- Import package from Fedora with thanks


* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.122-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.122-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.122-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.122-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 15 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 5.2.122-1
- Update to 5.2.122

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.118-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 21 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 5.1.118-3
- Build requires python (no longer available by default in F18+ buildroots)

* Fri Dec 21 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 5.1.118-2
- Renamed the tarball (replaced '%%7E' by '~')
- Removed the defattr lines

* Wed Dec 19 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 5.1.118-1
- Change license from LGPLv2.1 to LGPLv2 (867182#c13)

* Tue Dec 18 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 5.1.118-0
- First Fedora specfile

# vim:set ai ts=4 sw=4 sts=4 et:
